




      SUBROUTINE WSVTO6 (TEXT)









      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       GVFLEN, I, LENTXT
      LOGICAL       GVFFOP
      CHARACTER*(*) TEXT
      CHARACTER*80  LOCLIN







      LENTXT=LEN(TEXT)
      CALL GVSSTX (LOCLIN(1:80),TEXT(1:MIN(80,LENTXT)))



      IF (GVFLEN(LOCLIN).LE.0) GOTO 998
      IF (GVFFOP(DONUNT)) THEN
         WRITE (DONUNT,'(80A1)',ERR=998)(LOCLIN(I:I),I=1,GVFLEN(LOCLIN))
      END IF



  998 CONTINUE


      RETURN
      END
      LOGICAL FUNCTION WSVFOP()

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      LOGICAL       GVFFOP







      WSVFOP=.FALSE.



      IF (DONUNT.LE.0) GOTO 998



      WSVFOP=GVFFOP(DONUNT)



  998 CONTINUE


      RETURN
      END   
